1.409,08 €
See the offer
Zyxel · Network Switch
Zyxel GS-1900-24 v2 price in Italy
MPN GS1900-24-EU0102FMPN GS1900-24-GB0102FEAN 4718937621231EAN 4718937621248
- Type1U
- Weight2.09 kg
- ColourBlack
- Switch typeManaged
Lowest price incl. delivery
176,09 €
at EsseeffeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 23 Oct 2026, 17:42 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in Italy
1 store · prices in EUR · updated 23 Oct 2026, 17:42 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 23 Oct 2026, 17:42 UTC
- EsseeffeLowest priceZyxel gs-1900-24 v2 gestito l2 gigabit ethernet 10-100-1000 1u nero In stockFree shipping176,09 €incl. free shippingGo to store : Esseeffe (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in Italy
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Zyxel
- Product
- GS-1900-24 v2
- Full name
- Zyxel GS-1900-24 v2 Managed L2 Gigabit Ethernet (10/100/1000) 1U Black
- Manufacturer part number
- GS1900-24-EU0102F, GS1900-24-GB0102F
- EAN / UPC
- 4718937621231, 4718937621248
- Category
- Network Switch
69 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213 MIB II, RFC 2819 RMON (group 1, 2, 3, 9), RFC 1215, RFC 1493 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 2 |
| Power connector | AC-in jack |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
|---|---|
| 10G support | No |
| Port mirroring | Yes |
| Full duplex | Yes |
| Ethernet LAN data rates | 10,100,1000 Mbit/s |
| Flow control support | Yes |
| Link aggregation | Yes |
| MAC address auto-learning supported | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Tagged VLAN, VLAN Identifier ( VLAN ID), Voice VLAN |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 52 Gbit/s |
| Forwarding rate | 39 Mpps |
| Store-and-forward | Yes |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
| Packet buffer memory | 0.525 MB |
Security
| DHCP features | DHCP client |
|---|---|
| IGMP snooping | Yes |
| Authentication type | RADIUS, TACACS+ |
| MAC address filtering | Yes |
| Password protection | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS |
| Static port security | Yes |
Design
| Rack mounting | Yes |
|---|---|
| Stackable | Yes |
| Form factor | 1U |
| Product colour | Black |
| Reset button | Yes |
| LED indicators | Yes |
Performance
| Mean time between failures (MTBF) | 432.673 h |
|---|
Power
| Power source | AC |
|---|---|
| Power supply included | Yes |
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 16 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 10 - 95% |
| Heat dissipation | 55 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 131 mm |
| Height | 44 mm |
| Weight | 2.09 kg |
Packaging content
| Cables included | AC |
|---|---|
| Rack mount kit | Yes |
Packaging data
| Package type | Box |
|---|---|
| Package width | 561 mm |
| Package depth | 217 mm |
| Package height | 82 mm |
| Package weight | 2.85 kg |
Certificates
| Certification | EMC ■ CE, FCC, C-Tick, Class A (GS1900-24/24EP/24HPv2/48/ 48HPv2) ■ CE, FCC, C-Tick, Class B (GS1900-8/8HP/10HP/16/24E) ■ BSMI CNS13438 • Safety ■ LVD EN60950-1 ■ BSMI CNS14336-1 ■ CB IEC60950-1 (GS1900-8HP/10HP/16/24E/24) • RoHS compliant |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
What people say
Reviews & ratings
Zyxel GS-1900-24 v2
No reviews yet
Be the first to tell others how Zyxel GS-1900-24 v2 works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
More network switches deals in Italy
All network switches deals866,64 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed PoE+ Switch with 2 SFP, GS1016EPS2 1.0
- Weight
- 2.75 kg
- Colour
- Black
- Switch type
- Managed
200,68 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed Switch with 2 SFP, GS1016ES2 1.0
- Weight
- 1.69 kg
- Colour
- Black
- Switch type
- Managed
90,79 €
See the offer65,99 €
See the offerTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
118,93 €
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
253,14 €
See the offerNETGEAR
GS310TPv2 Managed L2/L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop Black
Model GS310TPv2
- Memory
- 128 MB
- Type
- Desktop
- Weight
- 610 g
159,33 €– 179,99 €
Compare 2 prices






